Overview | Package | Class | Tree | Deprecated | Index | Help
| Apache JMeter
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.jmeter.gui
Class ReportMainFrame

    java.lang.Object
      java.awt.Component
          java.awt.Container
              java.awt.Window
                  java.awt.Frame
                      javax.swing.JFrame
                          org.apache.jmeter.gui.ReportMainFrame

All Implemented Interfaces:
  Accessible, ImageObserver, MenuContainer, Remoteable, RootPaneContainer, Serializable, TestListener, WindowConstants

public class ReportMainFrame
extends JFrame
implements TestListener, Remoteable

ReportMainFrame is based on MainFrame. it uses the same basic structure, but with changes for the report gui.

See Also:
  Serialized Form

Nested Class Summary
`protected static class` | `ReportMainFrame.WindowHappenings` A window adapter used to detect when the main JMeter frame is being closed.

Nested classes inherited from class javax.swing.JFrame
`JFrame.AccessibleJFrame`

Nested classes inherited from class java.awt.Frame
`Frame.AccessibleAWTFrame`

Nested classes inherited from class java.awt.Window
`Window.AccessibleAWTWindow`

Nested classes inherited from class java.awt.Container
`Container.AccessibleAWTContainer`

Nested classes inherited from class java.awt.Component
`Component.AccessibleAWTComponent, Component.BltBufferStrategy, Component.FlipBufferStrategy`

Field Summary
`protected JScrollPane` | `mainPanel` The main panel where components display their GUIs.
`protected ReportMenuBar` | `menuBar` The menu bar.
`protected JTree` | `tree` The test tree.
`protected JScrollPane` | `treePanel` The panel where the test tree is shown.

Fields inherited from class javax.swing.JFrame
`accessibleContext, EXIT_ON_CLOSE, rootPane, rootPaneCheckingEnabled`

Fields inherited from class java.awt.Frame
`CROSSHAIR_CURSOR, DEFAULT_CURSOR, E_RESIZE_CURSOR, HAND_CURSOR, ICONIFIED, MAXIMIZED_BOTH, MAXIMIZED_HORIZ, MAXIMIZED_VERT, MOVE_CURSOR, N_RESIZE_CURSOR, NE_RESIZE_CURSOR, NORMAL, NW_RESIZE_CURSOR, S_RESIZE_CURSOR, SE_RESIZE_CURSOR, SW_RESIZE_CURSOR, TEXT_CURSOR, W_RESIZE_CURSOR, WAIT_CURSOR`

Fields inherited from class java.awt.Component
`BOTTOM_ALIGNMENT, CENTER_ALIGNMENT, LEFT_ALIGNMENT, RIGHT_ALIGNMENT, TOP_ALIGNMENT`

Fields inherited from interface javax.swing.WindowConstants
`DISPOSE_ON_CLOSE, DO_NOTHING_ON_CLOSE, HIDE_ON_CLOSE`

Fields inherited from interface java.awt.image.ImageObserver
`ABORT, ALLBITS, ERROR, FRAMEBITS, HEIGHT, PROPERTIES, SOMEBITS, WIDTH`

Constructor Summary
`ReportMainFrame()`
`ReportMainFrame(ActionListener actionHandler, TreeModel treeModel, ReportTreeListener treeListener)` Create a new JMeter frame.

Method Summary
`void` | `closeMenu()` Close the currently selected menu.
`protected JScrollPane` | `createMainPanel()` Create the main panel where components can display their GUIs.
`protected Component` | `createToolBar()` Create the JMeter tool bar pane containing the running indicator.
`protected JScrollPane` | `createTreePanel()` Create the panel where the GUI representation of the test tree is displayed.
`void` | `drawDraggedComponent(Component dragIcon, int x, int y)`
`protected TreeCellRenderer` | `getCellRenderer()` Create the tree cell renderer used to draw the nodes in the test tree.
`JTree` | `getTree()`
`void` | `setEditAddEnabled(boolean enabled)` Specify whether or not the Edit|Add menu item should be enabled.
`void` | `setEditAddMenu(JMenu menu)` Set the menu that should be used for the Edit|Add menu.
`void` | `setEditEnabled(boolean enabled)` Specify whether or not the Edit menu item should be enabled.
`void` | `setEditMenu(JPopupMenu menu)` Set the menu that should be used for the Edit menu.
`void` | `setEditRemoveEnabled(boolean enabled)` Specify whether or not the Edit|Remove menu item should be enabled.
`void` | `setExtendedFrameTitle(String fname)`
`void` | `setFileLoadEnabled(boolean enabled)` Specify whether or not the File|Load menu item should be enabled.
`void` | `setFileSaveEnabled(boolean enabled)` Specify whether or not the File|Save menu item should be enabled.
`void` | `setMainPanel(JComponent comp)`
`void` | `showStoppingMessage(String host)` Show a dialog indicating that JMeter threads are stopping on a particular host.
`void` | `testEnded()` Not sure if this should be in the ReportMainFrame, since the report component doesn't really test, it generates reports. for now, I will use it to trigger reporting.
`void` | `testEnded(String host)` Not sure if this should be in the ReportMainFrame, since the report component doesn't really test, it generates reports. for now, I will use it to trigger reporting.
`void` | `testIterationStart(LoopIterationEvent event)` Each time through a Thread Group's test script, an iteration event is fired for each thread.
`void` | `testStarted()` Not sure if this should be in the ReportMainFrame, since the report component doesn't really test, it generates reports. for now, I will use it to trigger reporting.
`void` | `testStarted(String host)` Not sure if this should be in the ReportMainFrame, since the report component doesn't really test, it generates reports. for now, I will use it to trigger reporting.

Methods inherited from class javax.swing.JFrame
`addImpl, createRootPane, frameInit, getAccessibleContext, getContentPane, getDefaultCloseOperation, getGlassPane, getJMenuBar, getLayeredPane, getRootPane, isDefaultLookAndFeelDecorated, isRootPaneCheckingEnabled, paramString, processWindowEvent, remove, setContentPane, setDefaultCloseOperation, setDefaultLookAndFeelDecorated, setGlassPane, setJMenuBar, setLayeredPane, setLayout, setRootPane, setRootPaneCheckingEnabled, update`

Methods inherited from class java.awt.Frame
`addNotify, finalize, getCursorType, getExtendedState, getFrames, getIconImage, getMaximizedBounds, getMenuBar, getState, getTitle, isResizable, isUndecorated, remove, removeNotify, setCursor, setExtendedState, setIconImage, setMaximizedBounds, setMenuBar, setResizable, setState, setTitle, setUndecorated`

Methods inherited from class java.awt.Window
`addPropertyChangeListener, addPropertyChangeListener, addWindowFocusListener, addWindowListener, addWindowStateListener, applyResourceBundle, applyResourceBundle, createBufferStrategy, createBufferStrategy, dispose, getBufferStrategy, getFocusableWindowState, getFocusCycleRootAncestor, getFocusOwner, getFocusTraversalKeys, getGraphicsConfiguration, getInputContext, getListeners, getLocale, getMostRecentFocusOwner, getOwnedWindows, getOwner, getToolkit, getWarningString, getWindowFocusListeners, getWindowListeners, getWindowStateListeners, hide, isActive, isFocusableWindow, isFocusCycleRoot, isFocused, isShowing, pack, postEvent, processEvent, processWindowFocusEvent, processWindowStateEvent, removeWindowFocusListener, removeWindowListener, removeWindowStateListener, setCursor, setFocusableWindowState, setFocusCycleRoot, setLocationRelativeTo, show, toBack, toFront`

Methods inherited from class java.awt.Container
`add, add, add, add, add, addContainerListener, applyComponentOrientation, areFocusTraversalKeysSet, countComponents, deliverEvent, doLayout, findComponentAt, findComponentAt, getAlignmentX, getAlignmentY, getComponent, getComponentAt, getComponentAt, getComponentCount, getComponents, getContainerListeners, getFocusTraversalPolicy, getInsets, getLayout, getMaximumSize, getMinimumSize, getPreferredSize, insets, invalidate, isAncestorOf, isFocusCycleRoot, isFocusTraversalPolicySet, layout, list, list, locate, minimumSize, paint, paintComponents, preferredSize, print, printComponents, processContainerEvent, remove, removeAll, removeContainerListener, setFocusTraversalKeys, setFocusTraversalPolicy, setFont, transferFocusBackward, transferFocusDownCycle, validate, validateTree`

Methods inherited from class java.awt.Component
`action, add, addComponentListener, addFocusListener, addHierarchyBoundsListener, addHierarchyListener, addInputMethodListener, addKeyListener, addMouseListener, addMouseMotionListener, addMouseWheelListener, bounds, checkImage, checkImage, coalesceEvents, contains, contains, createImage, createImage, createVolatileImage, createVolatileImage, disable, disableEvents, dispatchEvent, enable, enable, enableEvents, enableInputMethods, firePropertyChange, firePropertyChange, firePropertyChange, getBackground, getBounds, getBounds, getColorModel, getComponentListeners, getComponentOrientation, getCursor, getDropTarget, getFocusListeners, getFocusTraversalKeysEnabled, getFont, getFontMetrics, getForeground, getGraphics, getHeight, getHierarchyBoundsListeners, getHierarchyListeners, getIgnoreRepaint, getInputMethodListeners, getInputMethodRequests, getKeyListeners, getLocation, getLocation, getLocationOnScreen, getMouseListeners, getMouseMotionListeners, getMouseWheelListeners, getName, getParent, getPeer, getPropertyChangeListeners, getPropertyChangeListeners, getSize, getSize, getTreeLock, getWidth, getX, getY, gotFocus, handleEvent, hasFocus, imageUpdate, inside, isBackgroundSet, isCursorSet, isDisplayable, isDoubleBuffered, isEnabled, isFocusable, isFocusOwner, isFocusTraversable, isFontSet, isForegroundSet, isLightweight, isOpaque, isValid, isVisible, keyDown, keyUp, list, list, list, location, lostFocus, mouseDown, mouseDrag, mouseEnter, mouseExit, mouseMove, mouseUp, move, nextFocus, paintAll, prepareImage, prepareImage, printAll, processComponentEvent, processFocusEvent, processHierarchyBoundsEvent, processHierarchyEvent, processInputMethodEvent, processKeyEvent, processMouseEvent, processMouseMotionEvent, processMouseWheelEvent, removeComponentListener, removeFocusListener, removeHierarchyBoundsListener, removeHierarchyListener, removeInputMethodListener, removeKeyListener, removeMouseListener, removeMouseMotionListener, removeMouseWheelListener, removePropertyChangeListener, removePropertyChangeListener, repaint, repaint, repaint, repaint, requestFocus, requestFocus, requestFocusInWindow, requestFocusInWindow, reshape, resize, resize, setBackground, setBounds, setBounds, setComponentOrientation, setDropTarget, setEnabled, setFocusable, setFocusTraversalKeysEnabled, setForeground, setIgnoreRepaint, setLocale, setLocation, setLocation, setName, setSize, setSize, setVisible, show, size, toString, transferFocus, transferFocusUpCycle`

Methods inherited from class java.lang.Object
`clone, equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface java.awt.MenuContainer
`getFont, postEvent`

Field Detail

### menuBar

    protected ReportMenuBar menuBar

  The menu bar.

### mainPanel

    protected JScrollPane mainPanel

  The main panel where components display their GUIs.

### treePanel

    protected JScrollPane treePanel

  The panel where the test tree is shown.

### tree

    protected JTree tree

  The test tree.

Constructor Detail

### ReportMainFrame

    public ReportMainFrame()

### ReportMainFrame

    public ReportMainFrame(ActionListener actionHandler,
                           TreeModel treeModel,
                           ReportTreeListener treeListener)

  Create a new JMeter frame.

Parameters:
  `actionHandler` - this parameter is not used
  `treeModel` - the model for the test tree
  `treeListener` - the listener for the test tree

Method Detail

### setFileLoadEnabled

    public void setFileLoadEnabled(boolean enabled)

  Specify whether or not the File|Load menu item should be enabled.

  Parameters:
    `enabled` - true if the menu item should be enabled, false otherwise

### setFileSaveEnabled

    public void setFileSaveEnabled(boolean enabled)

  Specify whether or not the File|Save menu item should be enabled.

  Parameters:
    `enabled` - true if the menu item should be enabled, false otherwise

### setEditMenu

    public void setEditMenu(JPopupMenu menu)

  Set the menu that should be used for the Edit menu.

  Parameters:
    `menu` - the new Edit menu

### setEditEnabled

    public void setEditEnabled(boolean enabled)

  Specify whether or not the Edit menu item should be enabled.

  Parameters:
    `enabled` - true if the menu item should be enabled, false otherwise

### setEditAddMenu

    public void setEditAddMenu(JMenu menu)

  Set the menu that should be used for the Edit|Add menu.

  Parameters:
    `menu` - the new Edit|Add menu

### setEditAddEnabled

    public void setEditAddEnabled(boolean enabled)

  Specify whether or not the Edit|Add menu item should be enabled.

  Parameters:
    `enabled` - true if the menu item should be enabled, false otherwise

### setEditRemoveEnabled

    public void setEditRemoveEnabled(boolean enabled)

  Specify whether or not the Edit|Remove menu item should be enabled.

  Parameters:
    `enabled` - true if the menu item should be enabled, false otherwise

### closeMenu

    public void closeMenu()

  Close the currently selected menu.

### showStoppingMessage

    public void showStoppingMessage(String host)

  Show a dialog indicating that JMeter threads are stopping on a particular host.

  Parameters:
    `host` - the host where JMeter threads are stopping

### setMainPanel

    public void setMainPanel(JComponent comp)

### getTree

    public JTree getTree()

### testStarted

    public void testStarted()

  Not sure if this should be in the ReportMainFrame, since the report component doesn't really test, it generates reports. for now, I will use it to trigger reporting. Later we can refactor MainFrame and create an abstract base class.

  Specified by:
    `testStarted` in interface `TestListener`
  See Also:
    `StandardJMeterEngine.run()`

### testStarted

    public void testStarted(String host)

  Not sure if this should be in the ReportMainFrame, since the report component doesn't really test, it generates reports. for now, I will use it to trigger reporting. Later we can refactor MainFrame and create an abstract base class.

  Specified by:
    `testStarted` in interface `TestListener`
  See Also:
    `StandardJMeterEngine.run()`

### testEnded

    public void testEnded()

  Not sure if this should be in the ReportMainFrame, since the report component doesn't really test, it generates reports. for now, I will use it to trigger reporting. Later we can refactor MainFrame and create an abstract base class.

  Specified by:
    `testEnded` in interface `TestListener`
  See Also:
    `StandardJMeterEngine.stopTest()`

### testEnded

    public void testEnded(String host)

  Not sure if this should be in the ReportMainFrame, since the report component doesn't really test, it generates reports. for now, I will use it to trigger reporting. Later we can refactor MainFrame and create an abstract base class.

  Specified by:
    `testEnded` in interface `TestListener`
  See Also:
    `StandardJMeterEngine.stopTest()`

### testIterationStart

    public void testIterationStart(LoopIterationEvent event)

  Description copied from interface: `TestListener`
  Each time through a Thread Group's test script, an iteration event is fired for each thread. This will be after the test elements have been cloned, so in general the instance will not be the same as the ones the start/end methods call.

  Specified by:
    `testIterationStart` in interface `TestListener`
  Parameters:
    `event` -

### setExtendedFrameTitle

    public void setExtendedFrameTitle(String fname)

### createToolBar

    protected Component createToolBar()

  Create the JMeter tool bar pane containing the running indicator.

  Returns:
    a panel containing the running indicator

### createTreePanel

    protected JScrollPane createTreePanel()

  Create the panel where the GUI representation of the test tree is displayed. The tree should already be created before calling this method.

  Returns:
    a scroll pane containing the test tree GUI

### createMainPanel

    protected JScrollPane createMainPanel()

  Create the main panel where components can display their GUIs.

  Returns:
    the main scroll pane

### getCellRenderer

    protected TreeCellRenderer getCellRenderer()

  Create the tree cell renderer used to draw the nodes in the test tree.

  Returns:
    a renderer to draw the test tree nodes

### drawDraggedComponent

    public void drawDraggedComponent(Component dragIcon,
                                     int x,
                                     int y)

Overview | Package | Class | Tree | Deprecated | Index | Help
| Apache JMeter
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1998-2009 Apache Software Foundation. All Rights Reserved.